CacheRegionStats (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class CacheRegionStats

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.CacheRegionStats

All Implemented Interfaces:
  Serializable

    public class CacheRegionStats

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected long` | `elementCountInMemory` in-memory element count
`protected long` | `elementCountOnDisk` on-disk element count
`protected long` | `elementCountTotal` total element count
`protected long` | `hitCount` hit count
`protected double` | `hitRatio` hit ratio
`protected long` | `missCount` miss count
`protected long` | `putCount` put count
`protected String` | `region` region name
`protected String` | `shortName` region short name

Constructor Summary
`CacheRegionStats(CompositeData cData)`
`CacheRegionStats(String region)`
`CacheRegionStats(String region, SecondLevelCacheStatistics src)`

Method Summary
`protected double` | `determineHitRatio()`
`static CacheRegionStats[]` | `fromTabularData(TabularData tabularData)`
`long` | `getElementCountInMemory()`
`long` | `getElementCountOnDisk()`
`long` | `getElementCountTotal()`
`long` | `getHitCount()`
`double` | `getHitRatio()`
`long` | `getMissCount()`
`long` | `getPutCount()`
`String` | `getRegion()`
`String` | `getShortName()`
`static TabularData` | `newTabularDataInstance()`
`CompositeData` | `toCompositeData()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### region

    protected final String region

  region name

### shortName

    protected final String shortName

  region short name

### hitCount

    protected long hitCount

  hit count

### missCount

    protected long missCount

  miss count

### putCount

    protected long putCount

  put count

### hitRatio

    protected double hitRatio

  hit ratio

### elementCountInMemory

    protected long elementCountInMemory

  in-memory element count

### elementCountOnDisk

    protected long elementCountOnDisk

  on-disk element count

### elementCountTotal

    protected long elementCountTotal

  total element count

Constructor Detail

### CacheRegionStats

    public CacheRegionStats(String region)

Parameters:
  `region` -

### CacheRegionStats

    public CacheRegionStats(String region,
                            SecondLevelCacheStatistics src)

Parameters:
  `region` -
  `src` -

### CacheRegionStats

    public CacheRegionStats(CompositeData cData)

Parameters:
  `cData` -

Method Detail

### determineHitRatio

    protected double determineHitRatio()

  Returns:
    hit ratio

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### getRegion

    public String getRegion()

  Returns:
    region name

### getShortName

    public String getShortName()

  Returns:
    short name

### getHitCount

    public long getHitCount()

  Returns:
    hit count

### getMissCount

    public long getMissCount()

  Returns:
    miss count

### getPutCount

    public long getPutCount()

  Returns:
    put count

### getHitRatio

    public double getHitRatio()

  Returns:
    hit ratio

### getElementCountInMemory

    public long getElementCountInMemory()

  Returns:
    in-memory element count

### getElementCountOnDisk

    public long getElementCountOnDisk()

  Returns:
    on-disk element count

### getElementCountTotal

    public long getElementCountTotal()

  Returns:
    total element count

### toCompositeData

    public CompositeData toCompositeData()

  Returns:
    composite data

### newTabularDataInstance

    public static TabularData newTabularDataInstance()

  Returns:
    tabular data

### fromTabularData

    public static CacheRegionStats[] fromTabularData(TabularData tabularData)

  Parameters:
    `tabularData` -
  Returns:
    array of region statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.